For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
      • GETList entity collections
      • POSTCreate an entity collection
      • GETRetrieve an entity collection
      • PATCHUpdate an entity collection
      • DELDelete an entity collection
      • GETList entities in an entity collection
      • POSTCreate an entity
      • POSTCreate multiple entities in bulk
      • GETRetrieve an entity
      • PATCHUpdate an entity
      • DELDelete an entity
      • POSTAdd assets to an entity
      • DELRemove assets from an entity
      • GETList entities for an asset
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage entities

List entity collections

GET
https://api.twelvelabs.io/v1.3/entity-collections
GET
/v1.3/entity-collections
$curl -G https://api.twelvelabs.io/v1.3/entity-collections \
> -H "x-api-key: <apiKey>" \
> --data-urlencode "name=My entity collection" \
> -d sort_by=created_at
1{
2 "data": [
3 {
4 "_id": "6298d673f1090f1100476d4c",
5 "name": "My Collection",
6 "description": "My first collection",
7 "created_at": "2022-06-02T10:30:00Z",
8 "updated_at": "2022-06-02T10:30:00Z"
9 }
10 ],
11 "page_info": {
12 "limit_per_page": 10,
13 "page": 1,
14 "total_page": 1,
15 "total_results": 2
16 }
17}
This method returns a list of the entity collections in your account.
Was this page helpful?
Previous

Create an entity collection

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

namestringOptional
Filter entity collections by name.
sort_byenumOptionalDefaults to created_at
The field to sort on. The following options are available: - `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the entity collection was updated. - `updated_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the entity collection was created. - `name`: Sorts by the name.
Allowed values:
sort_optionstringOptionalDefaults to desc

The sorting direction. The following options are available:

  • asc
  • desc

Default: desc.

Response

The entity collections have been successfully retrieved.
datalist of objects
An array containing the entity collections.
page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error

The field to sort on. The following options are available:

  • created_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was updated.
  • updated_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was created.
  • name: Sorts by the name.